libcmml: Data Fields - Variables

### - a -

- anchor_class : CMML_Clip
- anchor_dir : CMML_Clip
- anchor_href : CMML_Clip
- anchor_id : CMML_Clip
- anchor_lang : CMML_Clip
- anchor_text : CMML_Clip
- anchor_title : CMML_Clip

### - b -

- base_href : CMML_Head
- base_id : CMML_Head
- basetime : CMML_Stream

### - c -

- clip : CMML_Element
- clip_class : CMML_Clip
- clip_id : CMML_Clip
- cmml_dir : CMML_Preamble
- cmml_granulerate : CMML_Preamble
- cmml_id : CMML_Preamble
- cmml_lang : CMML_Preamble
- cmml_xmlns : CMML_Preamble
- col : CMML_Error
- content : CMML_MetaElement
- contenttype : CMML_ImportElement

### - d -

- data : _CMML_List
- desc_class : CMML_Clip
- desc_dir : CMML_Clip
- desc_id : CMML_Clip
- desc_lang : CMML_Clip
- desc_text : CMML_Clip
- desc_title : CMML_Clip
- dir : CMML_MetaElement , CMML_LinkElement , CMML_Head , CMML_ImportElement , CMML_Clip
- doctype_declared : CMML_Preamble

### - e -

- e : CMML_Element
- end_time : CMML_Clip , CMML_ImportElement

### - g -

- granulerate : CMML_ImportElement

### - h -

- head : CMML_Element
- head_id : CMML_Head
- href : CMML_LinkElement

### - i -

- id : CMML_ParamElement , CMML_ImportElement , CMML_MetaElement , CMML_LinkElement , CMML_Stream
- img_alt : CMML_Clip
- img_class : CMML_Clip
- img_dir : CMML_Clip
- img_id : CMML_Clip
- img_lang : CMML_Clip
- img_src : CMML_Clip
- img_title : CMML_Clip
- import : CMML_Stream

### - l -

- lang : CMML_ImportElement , CMML_MetaElement , CMML_Head , CMML_Clip , CMML_LinkElement
- line : CMML_Error
- link : CMML_Head
- link_class : CMML_LinkElement

### - m -

- media : CMML_LinkElement
- meta : CMML_Clip , CMML_Head

### - n -

- name : CMML_ParamElement , CMML_MetaElement
- next : _CMML_List

### - p -

- param : CMML_ImportElement
- prev : _CMML_List
- profile : CMML_Head

### - r -

- rel : CMML_LinkElement
- rev : CMML_LinkElement

### - s -

- scheme : CMML_MetaElement
- sec : CMML_Time
- src : CMML_ImportElement
- start_time : CMML_ImportElement , CMML_Clip
- stream : CMML_Element

### - t -

- t : CMML_Time
- title : CMML_ImportElement , CMML_Head , CMML_Clip , CMML_LinkElement
- title_dir : CMML_Head
- title_id : CMML_Head
- title_lang : CMML_Head
- tm_hour : CMML_UTC
- tm_hsec : CMML_UTC
- tm_mday : CMML_UTC
- tm_min : CMML_UTC
- tm_mon : CMML_UTC
- tm_sec : CMML_UTC
- tm_year : CMML_UTC
- track : CMML_Clip
- tstr : CMML_Time
- type : CMML_Element , CMML_Time , CMML_LinkElement , CMML_Error

### - u -

- utc : CMML_Time , CMML_Stream

### - v -

- value : CMML_ParamElement

### - x -

- xml_encoding : CMML_Preamble
- xml_standalone : CMML_Preamble
- xml_version : CMML_Preamble